000037342 - Unsupported major.minor version error when deploying third-party driver to RSA Identity Governance & Lifecycle using customizeACM.sh

Document created by RSA Customer Support Employee on Apr 15, 2019
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000037342
Applies ToRSA Product Set: Identity Governance & Lifecycle
RSA Version/Condition: 7.0.2
 
IssueThe RSA Identity Governance & Lifecycle customizeACM.sh shows the following error after attempting to deploy a third party JDBC driver.
 


Deploying new customized ear...    this may take a while... {"JBAS014653: Composite operation failed and was rolled back.
Steps that failed:" => {"Operation step-2" => {"JBAS014671: Failed services" => {"jboss.deployment.unit.\"aveksa.ear\".INSTALL" =>
"org.jboss.msc.service.StartException in service jboss.deployment.unit.\"aveksa.ear\".INSTALL: JBAS018733:
Failed to process phase INSTALL of deployment \"aveksa.ear\"     Caused by: java.lang.UnsupportedClassVersionError: org/postgresql/Driver :
Unsupported major.minor version 52.0"},"JBAS014771: Services with missing/unavailable dependencies"
Cause

The error "Unsupported major.minor version" means that the .jar file for the third-party driver was compiled with a different version of Java than that used by RSA Identity Governance & Lifecycle.

The following chart lists the RSA Identity Governance & Lifecycle versions and Java versions. and major version numbers. 



Version Java Versionmajor.minor
RSA Identity Governance & Lifecycle 6.9.11.650.0
RSA Identity Governance & Lifecycle 7.0.01.751.0
RSA Identity Governance & Lifecycle 7.0.11.751.0
RSA Identity Governance & Lifecycle 7.0.21.751.0
RSA Identity Governance & Lifecycle 7.1.01.852.0
RSA Identity Governance & Lifecycle 7.1.11.852.0
ResolutionEnsure that you are using a driver that is compatible with the Java version for your version of RSA Identity Governance & Lifecycle.  Contact the vendor of your driver for more information. 
 

Attachments

    Outcomes